## torrentflux 2.4

=== debian/changelog ===
torrentflux (2.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #587811
    - Dutch (Jeroen Schot).  Closes: #622857

 -- Christian Perrier <bubulle@debian.org>  Sat, 16 Apr 2011 14:33:56 +0200

torrentflux (2.4-5) unstable; urgency=low

  * New Japanese translation, thanks Hideki Yamane (Closes: #558072)
  * Update to standards version 3.8.4 (no changes)
  * Switch to the new "3.0 (quilt)" source format
  * Fix a display issue with torrents that only contain an announce-list:
    20_torrents_with_only_announce_list.dpatch

 -- Cameron Dale <camrdale@gmail.com>  Sun, 21 Mar 2010 15:41:29 -0700

torrentflux (2.4-4) unstable; urgency=low

  * new spanish translation, thanks Fernando Gonzalez de Requena
    (Closes: #514890)
  * update to standards version 3.8.3 (no changes)
  * move the added Demonoid search plugin to a patch

 -- Cameron Dale <camrdale@gmail.com>  Tue, 08 Sep 2009 20:24:39 -0700

torrentflux (2.4-3) unstable; urgency=low

  * Fix pending l10n issues. Debconf translations:
    - Swedish. (Closes: #492061)
    - Finnish. (Closes: #501943)
    - Basque. (Closes: #502250)
    - thanks to Christian Perrier for coordinating this

 -- Cameron Dale <camrdale@gmail.com>  Tue, 21 Oct 2008 18:49:03 -0700

torrentflux (2.4-2) unstable; urgency=medium

  * Upgrade the dependency on bittornado for the UPnP change.
  * Update standards version to 3.8.0
    - Add a README.source file pointing to the quilt documentation
  * medium urgency to get it into lenny
  * Fix the bad priority setting on the restart webserver debconf question
  * Remove the no longer needed postinst-uses-db-input lintian override

 -- Cameron Dale <camrdale@gmail.com>  Sun, 20 Jul 2008 00:36:36 -0700

torrentflux (2.4-1) unstable; urgency=low

  * New upstream release
    - Some patches included in new release no longer needed:
        04_fix_python_filename_dependence.dpatch
        08_http_query_builder.dpatch
        09_fix_directory_traversal.dpatch
        16_update_settings_fails_with_blank_search_filter.dpatch
        18_errors_in_error_handling.dpatch
    - Other patches refreshed or updated to apply properly
    - Remove the no longer needed CR-LF removal with tofrodos
  * Upgrade the database slightly for the new upstream release.
  * Update DB install script to use PirateBay as default search.

 -- Cameron Dale <camrdale@gmail.com>  Wed, 02 Jul 2008 17:58:49 -0700

torrentflux (2.3-10) unstable; urgency=low

  * Debconf translations, *huge* thanks to Christian Perrier for
    organizing the translations:
    - Brazilian Portuguese. Closes: #480945
    - Portuguese. Closes: #480949
    - French. Closes: #481783
    - German. Closes: #483041
    - Italian. Closes: #485087
    - Vietnamese. Closes: #486188
    - Russian. Closes: #486202
    - Galician. Closes: #486214
    - Czech. Closes: #486234
    - Turkish. Closes: #486872
  * Refresh all the current quilt patches.

 -- Cameron Dale <camrdale@gmail.com>  Sun, 22 Jun 2008 23:10:15 -0700

torrentflux (2.3-9) unstable; urgency=low

  * Remove the UPnP options for bittornado 0.3.18-6 (Closes: #480058)
  * Fix the typo in the location of a config file.
  * Fix a bug in the error handling of btphptornado.py (based on
    bittornado's 25_errors_in_error_handling.dpatch)

 -- Cameron Dale <camrdale@gmail.com>  Wed, 07 May 2008 15:21:11 -0700

torrentflux (2.3-8) unstable; urgency=low

  * Add ability to install with non-apache webservers (Closes: #461605)
    (no auto-configuration though, you have to configure it yourself)
  * Fix updating search setttings when there are no filters (LP: #197036)

 -- Cameron Dale <camrdale@gmail.com>  Fri, 02 May 2008 16:59:05 -0700

torrentflux (2.3-7) unstable; urgency=low

  * Switch to quilt for patches.
  * Remove binary-arch target from debian/rules.
  * Upgrade to standards version 3.7.3 (no changes).
  * Move Homepage from description to source field.
  * Remove a windows-only Thumbs.db file.
  * Fix a missing close brace in the PirateBay search module.
  * Fixed watch file regex.

 -- Cameron Dale <camrdale@gmail.com>  Sun, 17 Feb 2008 13:02:49 -0800

torrentflux (2.3-6) unstable; urgency=low

  * Add new Italian debconf translation (Closes: #448899)
  * Change XS-Vcs-* fields to Vcs-*

 -- Cameron Dale <camrdale@gmail.com>  Mon, 12 Nov 2007 12:23:03 -0800

torrentflux (2.3-5) unstable; urgency=low

  * Add missing dependency on zip (thanks Ubuntu)

 -- Cameron Dale <camrdale@gmail.com>  Tue, 23 Oct 2007 11:12:49 -0700

torrentflux (2.3-4) unstable; urgency=low

  * Reorder dependencies to prefer php5 over php4
  * Upgrade the mysql-server from Suggests to Recommends
  * Explicitly enable index.php for apache's DirectoryIndex

 -- Cameron Dale <camrdale@gmail.com>  Sat, 20 Oct 2007 13:49:03 -0700

torrentflux (2.3-3) unstable; urgency=low

  * Add Dutch debconf translation (Closes: #423045)
  * Added XS-Vcs-Browser field
  * Added Dm-Upload-Allowed for Debian Maintainer uploads

 -- Cameron Dale <camrdale@gmail.com>  Wed, 17 Oct 2007 11:34:28 -0700

torrentflux (2.3-2) unstable; urgency=low

  * Upgrade the database to the 2.3 style

 -- Cameron Dale <camrdale@gmail.com>  Mon,  7 May 2007 11:34:28 -0700

torrentflux (2.3-1) unstable; urgency=low

  * New upstream release (Closes: #409706)
    - many dpatches now no longer needed
  * New German translation (Closes: #412160)
  * Added tofrodos use to fix line endings in web files
  * Updated search engine modules to latest

 -- Cameron Dale <camrdale@gmail.com>  Sun, 22 Apr 2007 11:34:28 -0700

torrentflux (2.1-7) unstable; urgency=high

  * Add more security fixes (Closes: #400582)
    - some missed previously (11_missed_security_fixes.dpatch)
    - remote command execution in metaInfo.php, issue
      CVE-2006-6331 (12_metaInfo_remote_command.dpatch)
    - possible XSS vulnerability due to urldecode 
      (13_possible_xss_vulnerability.dpatch)

