=== debian/control ===
Source: torrentflux
Section: web
Priority: optional
Maintainer: Cameron Dale <camrdale@gmail.com>
Build-Depends: debhelper (>= 5.0.0)
Build-Depends-Indep: po-debconf, docbook-to-man
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/collab-maint/ext-maint/torrentflux/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/torrentflux/trunk/
Homepage: http://www.torrentflux.com
XS-Dm-Upload-Allowed: yes

Package: torrentflux
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php5 | libapache-mod-php5 | libapache2-mod-php4 (>= 4:4.1) | libapache-mod-php4 (>= 4:4.1) | php5-cgi | php4-cgi (>=4:4.1), php5-mysql | php5-mysqli | php4-mysql, bittornado (>= 0.3.18-6), python, libphp-adodb, dbconfig-common, zip
Recommends: mysql-client, mysql-server
Description: web based, feature-rich BitTorrent download manager
 TorrentFlux is a PHP based BitTorrent controller that runs on a web
 server. It can manage all of your BitTorrent downloads from anywhere
 through a convenient and easy-to-use web interface.
 .
 TorrentFlux uses a MySQL database to manage the downloads. This
 database may be automatically created and maintained for you
 (if you want), but that requires the recommended mysql-client
 package. If you do not have a remote database server to access,
 you will also need the recommended mysql-server package.
 (If you're not sure, then you probably need both.)
 .
 TorrentFlux enables you to run BitTorrent downloads unattended on a
 monitor-less or remote server 24 hours a day, while still maintaining
 complete control from any web browser. Now you can control your
 downloading on your firewall, or keep up with downloads while on
 vacation. It uses the BitTornado client to download files, and also
 requires a web server with PHP.
 .
 Some of the many features:
   * Upload Torrents via URL or File Upload
   * Start, Stop, and Delete Torrents with ease
   * Advanced Torrent start options (ports, speeds, etc.)
   * Multi-user interface
   * RSS Feeds, download Torrents files with a click
   * Run several torrents at once
   * View Download Progress of all torrents at a glance
   * View drive space at a glance
   * View Torrent file meta information
   * Built-in User management and Security
   * Private Messaging
   * Themes (selectable per user)
   * Upload History
   * Detailed User Administration
   * Admin Searchable Logs
   * Torrent Search (many popular sites)
   * Language Support
   * Make your own torrents
   * Add torrents to a download Queue
   * NFO / Text viewer
 .
 For a description of BitTorrent, see the bittornado package.
 .
