=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp: btphptornado.torrentflux.1 btshowmetainfo.torrentflux.1 btmakemetafile.torrentflux.1 tfQManager.torrentflux.1 torrentflux.1
	dh_testdir
	touch build-stamp

%.1:    debian/%.sgml
	/usr/bin/docbook-to-man $< > debian/$@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/btphptornado.torrentflux.1 debian/btshowmetainfo.torrentflux.1 debian/btmakemetafile.torrentflux.1 debian/tfQManager.torrentflux.1 debian/torrentflux.1
	dh_clean build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs CHANGELOG
	dh_installdocs
	dh_install -XThumbs.db
	dh_installman

	# Remove the .py from the end of each of these and add .torrentflux
	# to remove any confusion with other bittorrent alternatives
	( cd debian/torrentflux/usr/bin && \
	  for i in btphptornado btshowmetainfo btmakemetafile tfQManager; \
	  do mv $$i.py $$i.torrentflux; done )

	# Remove the unneeded adodb and BitTornado
	rm -f -r debian/torrentflux/usr/share/torrentflux/www/adodb
	rm -f -r debian/torrentflux/usr/share/torrentflux/www/TF_BitTornado

	dh_compress

	# Remove the executable bit from all the files
	( cd debian/torrentflux && \
	  for i in etc/ usr/; \
	  do find $$i -type f | xargs chmod -x; done )

	dh_fixperms

	# Fix the premissions on the downloads directory
	chown www-data:www-data debian/torrentflux/var/cache/torrentflux

	# Fix the permissions on the config file
	chown root:www-data debian/torrentflux/etc/torrentflux/apache.conf

	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
