=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
#http://prdownloads.sourceforge.net/torrentflux/torrentflux-(.*)\.tar\.gz

#Try this Sourceforge one instead
http://sf.net/torrentflux/torrentflux[\-_](.*)\.tar\.gz
